Public Attributes | List of all members
ble_dis_c_read_rsp_t Struct Reference
BLE Services » Device Information Service Client (DIS_C) » Structures

Device Information Service Client Read Response encode structure. More...

`#include <dis_c.h>`

Collaboration diagram for ble_dis_c_read_rsp_t:
[legend]

## Public Attributes
dis_c_char_type_t | char_type
| Characteristic type. More...
union {
dis_c_sys_id_t sys_id
| System ID characteristic response data. More...
dis_c_string_t string_data
| Model Number, Serial Number, Hardware Revision, Firmware Revision, Software Revision, Manufacturer Name String characteristic response data. More...
dis_c_reg_cert_data_list_t cert_list
| IEEE 11073-20601 Regulatory Certification Data List characteristic response data. More...
dis_c_pnp_id_t pnp_id
| PnP ID characteristic response data. More...
} | encode_rst
| Result of encoding. More...

## Detailed Description

Device Information Service Client Read Response encode structure.

Definition at line 156 of file dis_c.h.

## Member Data Documentation

## ◆ cert_list

dis_c_reg_cert_data_list_t ble_dis_c_read_rsp_t::cert_list

IEEE 11073-20601 Regulatory Certification Data List characteristic response data.

Definition at line 163 of file dis_c.h.

## ◆ char_type

dis_c_char_type_t ble_dis_c_read_rsp_t::char_type

Characteristic type.

Definition at line 158 of file dis_c.h.

## ◆ encode_rst

union { ... } ble_dis_c_read_rsp_t::encode_rst

Result of encoding.

## ◆ pnp_id

dis_c_pnp_id_t ble_dis_c_read_rsp_t::pnp_id

PnP ID characteristic response data.

Definition at line 164 of file dis_c.h.

## ◆ string_data

dis_c_string_t ble_dis_c_read_rsp_t::string_data

Model Number, Serial Number, Hardware Revision, Firmware Revision, Software Revision, Manufacturer Name String characteristic response data.

Definition at line 162 of file dis_c.h.

## ◆ sys_id

dis_c_sys_id_t ble_dis_c_read_rsp_t::sys_id

System ID characteristic response data.

Definition at line 161 of file dis_c.h.

The documentation for this struct was generated from the following file:

- dis_c.h